### nncp-rm ¶

    $ nncp-rm [options] [-older X] -tmp
    $ nncp-rm [options] -lock
    $ nncp-rm [options] [-older X] {-all|-node NODE} -part
    $ nncp-rm [options] [-older X] {-all|-node NODE} -seen
    $ nncp-rm [options] [-older X] {-all|-node NODE} -nock
    $ nncp-rm [options] [-older X] {-all|-node NODE} -area
    $ nncp-rm [options] [-older X] {-all|-node NODE} {-rx|-tx} [-hdr]
    $ nncp-rm [options] {-all|-node NODE} -pkt <<EOF
    $ nncp-rm [options] {-all|-node NODE} -ack
    PKT1
    PKT2
    NODEx/PKT3
    ...
    EOF

This command is aimed to delete various files from your spool directory. `-older` option may limit the subset of files to be deleted for most commands.

- If `-tmp` option is specified, then it will delete temporary files in `spool/tmp` directory. Files may stay in it when commands like `nncp-file` fail for some reason.
- If `-lock` option is specified, then all `.lock` files will be deleted in your spool directory.
- If `-pkt` option is specified, then only the specified list of packets (Base32 names) will be deleted. It is read from `stdin`. This could be useful when you see some packet failing to be processed. Packet identifiers may have "directories" prepended, that are ignored.
- `-rx` and `-tx` options will delete packets in corresponding queue directories. Corresponding `hdr/` files are also automatically deleted.
- `-part` option limits that to `.part`ly downloaded packets.
- `-nock` option limits that to non-checksummed (non-verified) `.nock` files.
- `-seen` option deletes `seen/` files.
- `-hdr` option deletes cached `hdr/` files.
- `-area` option deletes seen files in `area/` subdirectories.

`-dryrun` option just prints what will be deleted.

`-older` accepts an integer with appended time unit:

- `10s` – 10 seconds
- `5m` – 5 minutes
- `12h` – 12 hours
- `2d` – 2 days